#### "Zip" a community distribution matrix

## Author: Phillip P.A. Staniczenko  www.staniczenkoresearch.net

#### Required files
## ZipData.py

#### Inputs
## Community distribution matrix in csv (e.g., presenceabsencematrix_FULL.csv)

#### Outputs
## "Zipped" version of input community distribution matrix as a txt file

# Clear workspace
rm(list=ls(all=TRUE))

#### Main

print("RUN ZIP MATRIX")
beginTime <- Sys.time()

mybipartitematrix <- read.table("presenceabsencematrix_FULL.csv", sep=",")

write.table(mybipartitematrix, file="mybipartitematrix.txt", row.names=FALSE, col.names=FALSE, sep=" ")

# write bipartite matrix in zipped format
system("python ZipData.py mybipartitematrix.txt")

# Clean up files
system("rm mybipartitematrix.txt")

runTime <- Sys.time() - beginTime
print("Program completed successfully")
print("Run time:")
print(runTime)